From 16b5d5bc798de9288c953b69c2525b6afdb588e0 Mon Sep 17 00:00:00 2001
From: Robert Nelson <robertcnelson@gmail.com>
Date: Mon, 20 Jan 2014 12:45:10 -0600
Subject: [PATCH] wheezy: use git over https: error: Problem with the SSL CA
 cert (path? access rights?)

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
---
 chroot_script/beagleboard.org.sh | 10 +++++-----
 scripts/chroot.sh                |  6 +++---
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/chroot_script/beagleboard.org.sh b/chroot_script/beagleboard.org.sh
index cf70ccdeb..724e79319 100755
--- a/chroot_script/beagleboard.org.sh
+++ b/chroot_script/beagleboard.org.sh
@@ -128,7 +128,7 @@ install_builds () {
 }
 
 install_repos () {
-	git_repo="https://github.com/ajaxorg/cloud9.git"
+	git_repo="git://github.com/ajaxorg/cloud9.git"
 	git_target_dir="/opt/cloud9"
 	if [ "x${chroot_cloud9_git_tag}" = "x" ] ; then
 		git_clone
@@ -150,11 +150,11 @@ install_repos () {
 	if [ -f /var/www/index.html ] ; then
 		rm -rf /var/www/index.html || true
 	fi
-	git_repo="https://github.com/beagleboard/bone101"
+	git_repo="git://github.com/beagleboard/bone101"
 	git_target_dir="/var/www/"
 	git_clone
 
-	git_repo="https://github.com/beagleboard/bonescript"
+	git_repo="git://github.com/beagleboard/bonescript"
 	git_target_dir="/var/lib/cloud9"
 	git_clone
 	if [ -f ${git_target_dir}/.git/config ] ; then
@@ -168,7 +168,7 @@ install_repos () {
 		chown -R ${user_name}:${user_name} ${git_target_dir}
 	fi
 
-	git_repo="https://github.com/jackmitch/libsoc"
+	git_repo="git://github.com/jackmitch/libsoc"
 	git_target_dir="/opt/source/libsoc"
 	git_clone
 	if [ -f ${git_target_dir}/.git/config ] ; then
@@ -180,7 +180,7 @@ install_repos () {
 		make distclean
 	fi
 
-	git_repo="https://github.com/prpplague/Userspace-Arduino"
+	git_repo="git://github.com/prpplague/Userspace-Arduino"
 	git_target_dir="/opt/source/Userspace-Arduino"
 	git_clone
 }
diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index 28690e3d1..06edf4c2b 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -535,12 +535,12 @@ cat > ${DIR}/chroot_script.sh <<-__EOF__
 
 			if [ -f /usr/bin/git ] ; then
 				mkdir -p /opt/scripts/ || true
-				qemu_command="git clone https://github.com/RobertCNelson/boot-scripts /opt/scripts/ --depth 1 || true"
+				qemu_command="git clone git://github.com/RobertCNelson/boot-scripts /opt/scripts/ --depth 1 || true"
 				qemu_warning
-				git clone https://github.com/RobertCNelson/boot-scripts /opt/scripts/ --depth 1 || true
+				git clone git://github.com/RobertCNelson/boot-scripts /opt/scripts/ --depth 1 || true
 				sync
 				if [ -f /opt/scripts/.git/config ] ; then
-					echo "/opt/scripts/ : https://github.com/RobertCNelson/boot-scripts" >> /opt/source/list.txt
+					echo "/opt/scripts/ : git://github.com/RobertCNelson/boot-scripts" >> /opt/source/list.txt
 					chown -R ${user_name}:${user_name} /opt/scripts/
 				fi
 			fi
-- 
GitLab